"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var _ = __importStar(require("underscore"));
exports.default = {
    isNumber: function (val) { return _.isNumber(val) && !Number.isNaN(Number(val)); },
    isOptionalNumber: function (val) { return _.isUndefined(val) || (_.isNumber(val) && !Number.isNaN(Number(val))); },
    isLargerThenZero: function (val) { return _.isNumber(val) && !Number.isNaN(Number(val)) && Number(val) > 0; },
    isString: function (val) { return _.isString(val); },
    isOptionalString: function (val) { return _.isUndefined(val) || _.isString(val); },
    isOptionalNotTrimEmptyString: function (val) { return _.isUndefined(val) || (_.isString(val) && val.trim() !== ''); },
    isNotEmtpyString: function (val) { return _.isString(val) && val !== ''; },
    isNotTrimEmptyString: function (val) { return _.isString(val) && val.trim() !== ''; },
    isObject: function (val) { return _.isObject(val); },
    isOptionalObject: function (val) { return _.isUndefined(val) || _.isObject(val); },
    isNotEmptyObject: function (val) { return _.isObject(val) && _.size(val) > 0; },
    isArray: function (val) { return _.isArray(val); },
    isOptionalArray: function (val) { return _.isUndefined(val) || _.isArray(val); },
    isNotEmptyArray: function (val) { return _.isArray(val) && _.size(val) > 0; },
};
